Skip to main content
Resource Center/Resource Pool/Volume Operations
POSTVolume OperationsSince 4.5.3SynchronousAuth Required

BatchSyncVolumeSize

BatchSyncVolumeSize

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • clusterUuidStringRequired

    The cluster UUID.

  • systemTagsList

    The system tag.

  • userTagsList

    The user tag.

Responses

200 OK

On success, this API returns the following response structure.

  • failCountintRequired

    The failure count.

  • successCountintRequired

    The success count.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

POST/zstack/v1/volumes/batch-sync-volumes

/zstack/v1/volumes/batch-sync-volumes

Operation ID

BatchSyncVolumeSize

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/volumes/batch-sync-volumes' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"clusterUuid":"<clusterUuid>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ “failCount”: 3, "successCount": 3 }

Change History

This API has no change history records yet.

View all change history